org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumValueSource.ScoreValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumValueSource.ScoreValueSource

- Enclosing class:
    TaxonomyFacetSumValueSource

  Deprecated.
  Use `DoubleValuesSource.SCORES`

      public static class TaxonomyFacetSumValueSource.ScoreValueSource
      extends ValueSource

  `ValueSource` that returns the score for each hit; use this to aggregate the sum of all hit scores for each facet label.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreValueSource()` Deprecated. Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)` Deprecated.
    `int` | `hashCode()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreValueSource

          public ScoreValueSource()

      Deprecated.
      Sole constructor.

  - ### Method Detail

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Deprecated.
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Specified by:
        `equals` in class `ValueSource`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Specified by:
        `hashCode` in class `ValueSource`

    - #### description

          public String description()

      Deprecated.
      Specified by:
        `description` in class `ValueSource`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.